• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Eclipse v3.0 M4

 
Michael Yuan
author
Ranch Hand
Posts: 1427
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
does anyone has problem with Eclipse v3.0 M4 on OS X 10.2.8 (yes, I know I should upgrade ...)? I cannot open any Java file in the editor. It just pops up a box saying "editor cannot be initialized". All my java source files are in in directories linked from the workspace -- if that matters.
Any suggestion will be greated appreciated!
 
Nathan Pitts
Greenhorn
Posts: 1
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I am using the exact same setup and have no problems editing java files...The only thing I have noticed that seems buggy with M4 on OSX 10.2.8 is that sometimes when closing eclipse, the jvm crashes. It doesn't seem to affect my projects, so I haven't worried too much about it....
-nathan
 
Michael Yuan
author
Ranch Hand
Posts: 1427
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
OK, it must be something I did then. I think I will do a clean install of Eclipse after I upgrade to Panther. IntelliJ is my main IDE now but I wish to try out Eclipse.
 
jeroen dijkmeijer
Ranch Hand
Posts: 132
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Here is my opinion (eclipse 2.1.1 on winnt): I had the same thing after a eclipse was not shutdown nicely.
I had to remove all the contents from the eclipse install directory, (eclipse starts up again, with the message finalizing install), after that after adding the projects I had to change the jdk setting in the libraries, on java build path, in project properties.
 
Michael Yuan
author
Ranch Hand
Posts: 1427
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Just a quick update: I never get M4 to work on either my Mac box or my windows xp box. Same error: cannot initialize the Java editor -- the plain text editor worked fine. I guess my project might be peculiar!
So, I switched back to M3 and it worked great.
 
Maarten Meijer
Greenhorn
Posts: 2
  • 0
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
No problems with running Eclipse M4 on my iMac with 10.2.8.
Another thing is, I cannot get the Tomcat plug in from www.sysdeo.com to work!
It shows up OK, but it refuses to update my server.xml file
Any help?
Maarten
[ November 18, 2003: Message edited by: Maarten Meijer ]
 
I agree. Here's the link: http://aspose.com/file-tools
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic